Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588978 - Performing an action on in the JON right-hand screen frame results in collapsed display in left-hand screen frame
Performing an action on in the JON right-hand screen frame results in collaps...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon24-naming
  Show dependency treegraph
 
Reported: 2010-05-04 21:11 EDT by Len DiMaggio
Modified: 2010-09-20 21:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 21:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quickstart (6.22 KB, application/octet-stream)
2010-05-04 21:12 EDT, Len DiMaggio
no flags Details
screenshot (268.35 KB, image/png)
2010-05-04 21:12 EDT, Len DiMaggio
no flags Details
screenshot (262.75 KB, image/png)
2010-05-04 21:13 EDT, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2010-05-04 21:11:08 EDT
Description of problem:
Performing an action on in the JON right-hand screen frame results in collapsed display in left-hand screen frame 

For example, if a deployed app is highlighted in the left-hand screen, and an action is performed in the right-hand screen, the tree display in the left-hand screen is collapsed up to the level of the highlighted tree element.

Version-Release number of selected component (if applicable):
JBoss Operations Network
version: 2.3.1.CR1
build number: 10561 

How reproducible:
100%

Steps to Reproduce:
1. Deploy the attached quickstart.esb
2. Expand "Quickstart_helloworld.esb JBoss ESB Statistics" to display its children
3. Highlight "Quickstart_helloworld.esb JBoss ESB Statistics" 
4. Enable the 1-minute refresh in the right-hand screen frame
5. Observe "Quickstart_helloworld.esb JBoss ESB Statistics" collapsed display
  
Actual results:
The display is collapsed

Expected results:
No change to the level of display of the services tree.

Additional info:
See screenshots attached.
Comment 1 Len DiMaggio 2010-05-04 21:12:08 EDT
Created attachment 411451 [details]
Quickstart
Comment 2 Len DiMaggio 2010-05-04 21:12:49 EDT
Created attachment 411452 [details]
screenshot
Comment 3 Len DiMaggio 2010-05-04 21:13:36 EDT
Created attachment 411453 [details]
screenshot
Comment 4 Lukas Krejci 2010-05-12 14:14:20 EDT
This behaviour should not be present in the next version of JON. The tree should not ever auto-collapse anything.
Comment 5 Corey Welton 2010-09-20 21:38:20 EDT
Closing per GWT efforts

Note You need to log in before you can comment on or make changes to this bug.